Skip to main content
POST
Trigger a run of an ACTIVE workflow
Required scope: workflows.run Idempotency: an Idempotency-Key header is required when calling with an API key. See Idempotency.
Requires workflows enabled for your workspace. Otherwise the request is refused; see Errors.

Authorizations

Authorization
string
header
required

Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.

Headers

Idempotency-Key
string
required

Unique value (e.g. a UUID) per action, up to 200 printable ASCII characters. Reuse it only to retry the same request; the first response is replayed for 24 hours.

Maximum string length: 200
Example:

"f1d2c3b4-0000-4000-8000-000000000000"

Path Parameters

id
string
required

Body

application/json
phone
string
Maximum string length: 64
name
string
Maximum string length: 200
fields
object
externalRef
string
Required string length: 1 - 255
origin
enum<string>
default:TRIGGER
Available options:
TRIGGER,
TEST
shortenWaits
boolean

Response

Created

id
string
required
status
enum<string>
required
Available options:
RUNNING,
WAITING,
NEEDS_ATTENTION,
DONE,
FAILED,
CANCELED
origin
enum<string>
required
Available options:
TRIGGER,
TEST
currentNodeId
string | null
required
startedAt
string
required